# if you don't have O1KHOME set, we look in default place
O1K_INSTALL_PT=/opt/SUNWo1kp

CFLAGS = -I$(OPENWINHOME)/include -I$(O1KHOME)/include -I$(O1K_INSTALL_PT)/include -I/usr/demo/SOUND/include

LIBS = -L$(OPENWINHOME)/lib -L$(O1KHOME)/lib -L$(O1K_INSTALL_PT)/lib -R $(O1K_INSTALL_PT)/lib:/usr/openwin/lib -L/usr/demo/SOUND/lib

DEFINES  += -D_REENTRANT -DBSD_COMP -DOPENLOOK
LIBS += -lotiaudio -laudio -lsocket -lnsl -lxview -lolgx -lX11 -lintl -ldl -lsunmath -lm -lXext -lthread 
debug_install := CFLAGS += -g
install := CFLAGS += -O

install: soundtool
debug_install: soundtool

debug: debug_install

soundtool: soundtool.o 
	$(CC) -o $@ soundtool.o  $(LIBS) 

clean:
	rm -f a.out core soundtool *.o

